//
//  File.swift
//  
//
//  Created by TB_COWORKER on 13/06/2023.
//

import TrustBuilderMfaLibSwift

public class AuthorizeResponse {

    public private(set) var secureToken:SecureTokenDTO
    public private(set) var credentialProvider:CredentialProvider
    public private(set) var inAppAuthentication:InAppAuthentication

    public init(secureToken:SecureTokenDTO, credentialProvider:CredentialProvider, inAppAuthentication:InAppAuthentication) {
        self.secureToken = secureToken
        self.credentialProvider = credentialProvider
        self.inAppAuthentication = inAppAuthentication
    }

}
